hnb (1.9.17-4)  * Unset 'done' flag when toggling off a todo item.
                  (Closes: #231256)

--- hnb-1.9.18.orig/src/tree_todo.c
+++ hnb-1.9.18/src/tree_todo.c
@@ -269,6 +269,7 @@ static int toggle_todo_cmd (int argc, ch
 		node_set(pos,"done","no");
 	} else {
 		node_unset(pos,"type");
+		node_unset(pos,"done");
 	}
 
 	return (int) pos;
